Deletes a Cart line item.
Removing the last line_item in the Cart deletes the Cart.
Note
- Substitute your storefront domain for
yourstore.example.com.- The Send a Test Request feature is not currently supported for this endpoint.
- To prevent lost updates due to concurrent requests overriding changes made by others, it is recommended to enable optimistic concurrency control by including the
versionfield in the request payload. If the provided version does not match the version on the server, a conflict error will be returned, which the client can handle accordingly.
This cartʼs unique ID.
The cart version that you expect to apply the updates. If the provided version doesn’t match the current cart version, you will receive a conflict error. This field is optional; if not provided, optimistic concurrency control will not apply.
NOTE: Discounted line items are re-evaluated on cart actions and may be automatically added back to your cart with a new line item ID to satisfy promotional requirements.
Cost of cart’s contents, before applying discounts.
Order based discounted amount only - Coupon discounts and product based discounts are excluded.
Sum of line-items amounts, minus cart-level discounts and coupons. This amount includes taxes (where applicable).
The MIME type of the response body.
To return product options add one of the following include:
lineItems.physicalItems.options: The Cart returns an abbreviated result. Use this to return physical items product options. Can also be used in a /POST to have the extended Cart object return.
lineItems.digitalItems.options: The Cart returns an abbreviated result. Use this to return digital items product options. Can also be used in a /POST to have the extended Cart object return.
lineItems.digitalItems.options,lineItems.physicalItems.options: The Cart returns an abbreviated result. Use this to return digital and physical options. Can also be used in a /POST to have the extended Cart object return.